do
	local Prefs = import('/lua/user/prefs.lua')
	local options = Prefs.GetFromCurrentProfile('options')
	if options.gui_scu_manager != 0 then
		local originalUpdateWindow = UpdateWindow
		function UpdateWindow(info)
			originalUpdateWindow(info)
			controls.SCUType:Hide()
			if info.userUnit.SCUType then
				controls.SCUType:SetTexture('/mods/GUI/textures/scumanager/'..info.userUnit.SCUType..'_icon.dds')
				controls.SCUType:Show()
			end
		end	
		
		local originalCreateUI = CreateUI
		function CreateUI()
			originalCreateUI()
			controls.SCUType = Bitmap(controls.bg)
			LayoutHelpers.AtRightIn(controls.SCUType, controls.icon)
			LayoutHelpers.AtBottomIn(controls.SCUType, controls.icon)
		end
	end
end
